<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.Missions.Data</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Returns MissionData </description>
<arguments>
<argument index="1" name="Station.Array" type="Var/Script Data Type" desc="Station Vars" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Unlocked.Items&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'ddrs.unlockeditems'</var></line>
<line linenr="002" indent=""><var>$Extra.Miss.Array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="003" indent=""><var>$Reg.Miss.Array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="004" indent=""><var>$No.Stations&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Station.Array</var></line>
<line linenr="005" indent=""><text>dec&#160;</text><var>$No.Stations&#160;=&#160;</var></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>while&#160;</var><var>$No.Stations</var></line>
<line linenr="008" indent="&#160;"><text>dec&#160;</text><var>$No.Stations&#160;=&#160;</var></line>
<line linenr="009" indent="&#160;"><var>$Station&#160;=&#160;</var><var>$Station.Array</var><text>[</text><var>$No.Stations</var><text>]</text></line>
<line linenr="010" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="011" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="012" indent="&#160;"></line>
<line linenr="013" indent="&#160;"><var>$Race&#160;=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="014" interruptable="@" indent="&#160;"><var>$Ship.List&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.ShipList</call><text>&#160;:&#160;</text><text>&#160;Race=</text><var>$Race</var><text>&#160;</text><text>&#160;Class=</text><var>null</var></line>
<line linenr="015" indent="&#160;"></line>
<line linenr="016" indent="&#160;"><var>if&#160;</var><var>$Unlocked.Items</var></line>
<line linenr="017" indent="&#160;&#160;"><var>$Items&#160;=&#160;</var><var>$Unlocked.Items</var><text>[</text><var>$No.Stations</var><text>]</text></line>
<line linenr="018" indent="&#160;&#160;"><var>$No.Unlocked&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Items</var></line>
<line linenr="019" indent="&#160;&#160;"><var>if&#160;</var><var>$No.Unlocked</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>1</var><text>&#160;to&#160;</text><var>$No.Unlocked</var><text>&#160;-&#160;1</text></line>
<line linenr="021" indent="&#160;&#160;&#160;"><var>$Extra.Type&#160;=&#160;</var><var>$Items</var><text>[</text><var>$Random</var><text>]</text></line>
<line linenr="022" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$No.Unlocked</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>2</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>$Extra.Type&#160;=&#160;</var><var>$Items</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="024" indent="&#160;&#160;"><text>else</text></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$Extra.Type&#160;=&#160;</var><var>null</var></line>
<line linenr="026" indent="&#160;&#160;"><text>end</text></line>
<line linenr="027" indent="&#160;&#160;"></line>
<line linenr="028" indent="&#160;&#160;"><var>$No.Ships&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Ship.List</var></line>
<line linenr="029" indent="&#160;&#160;"><var>while&#160;</var><var>$No.Ships</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="031" indent="&#160;&#160;&#160;"><var>$Mission.Type&#160;=&#160;</var><var>$Ship.List</var><text>[</text><var>$No.Ships</var><text>]</text></line>
<line linenr="032" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="033" indent="&#160;&#160;&#160;"><var>$Mission.Class&#160;=&#160;</var><var>$Ship.List</var><text>[</text><var>$No.Ships</var><text>]</text></line>
<line linenr="034" indent="&#160;&#160;&#160;"></line>
<line linenr="035" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Extra.Type</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Mission.Type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Extra.Type</var></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$Mission.Type</var><text>&#160;to&#160;array&#160;</text><var>$Extra.Miss.Array</var></line>
<line linenr="037" indent="&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$Mission.Class</var><text>&#160;to&#160;array&#160;</text><var>$Extra.Miss.Array</var></line>
<line linenr="038" indent="&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$Race</var><text>&#160;to&#160;array&#160;</text><var>$Extra.Miss.Array</var></line>
<line linenr="039" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="040" indent="&#160;&#160;&#160;"></line>
<line linenr="041" indent="&#160;&#160;&#160;"><var>$No.Unlocked&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Items</var></line>
<line linenr="042" indent="&#160;&#160;&#160;"><var>while&#160;</var><var>$No.Unlocked</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>1</var></line>
<line linenr="043" indent="&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Unlocked&#160;=&#160;</var></line>
<line linenr="044" indent="&#160;&#160;&#160;&#160;"><var>$Unlocked.Type&#160;=&#160;</var><var>$Items</var><text>[</text><var>$No.Unlocked</var><text>]</text></line>
<line linenr="045" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Unlocked.Type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Mission.Type</var></line>
<line linenr="046" indent="&#160;&#160;&#160;&#160;&#160;"><text>inc&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="047" indent="&#160;&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$Ship.List</var><text>&#160;at&#160;index&#160;</text><var>$No.Ships</var></line>
<line linenr="048" indent="&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="049" indent="&#160;&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$Ship.List</var><text>&#160;at&#160;index&#160;</text><var>$No.Ships</var></line>
<line linenr="050" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="051" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="052" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="053" indent="&#160;&#160;&#160;"></line>
<line linenr="054" indent="&#160;&#160;"><text>end</text></line>
<line linenr="055" indent="&#160;"><text>end</text></line>
<line linenr="056" indent="&#160;"></line>
<line linenr="057" indent="&#160;"><var>$No.Ships&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Ship.List</var></line>
<line linenr="058" indent="&#160;"><var>if&#160;</var><var>$No.Ships</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$No.Ships</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>2</var></line>
<line linenr="059" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="060" indent="&#160;&#160;"><var>$Mission.Type&#160;=&#160;</var><var>$Ship.List</var><text>[</text><var>$No.Ships</var><text>]</text></line>
<line linenr="061" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="062" indent="&#160;&#160;"><var>$Mission.Class&#160;=&#160;</var><var>$Ship.List</var><text>[</text><var>$No.Ships</var><text>]</text></line>
<line linenr="063" indent="&#160;&#160;"><text>append&#160;</text><var>$Mission.Type</var><text>&#160;to&#160;array&#160;</text><var>$Reg.Miss.Array</var></line>
<line linenr="064" indent="&#160;&#160;"><text>append&#160;</text><var>$Mission.Class</var><text>&#160;to&#160;array&#160;</text><var>$Reg.Miss.Array</var></line>
<line linenr="065" indent="&#160;&#160;"><text>append&#160;</text><var>$Race</var><text>&#160;to&#160;array&#160;</text><var>$Reg.Miss.Array</var></line>
<line linenr="066" indent="&#160;"><text>end</text></line>
<line linenr="067" indent=""><text>end</text></line>
<line linenr="068" indent=""></line>
<line linenr="069" indent=""><var>$No.Extra&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Extra.Miss.Array</var></line>
<line linenr="070" indent=""></line>
<line linenr="071" indent=""><var>if&#160;</var><var>$No.Extra</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$No.Extra</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="072" indent="&#160;"><var>if&#160;</var><var>$No.Extra</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>6</var></line>
<line linenr="073" indent="&#160;&#160;"><var>$No.Extra&#160;=&#160;</var><var>$No.Extra</var><text>&#160;</text><var>/</var><text>&#160;</text><var>3</var></line>
<line linenr="074" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$No.Extra</var><text>&#160;-&#160;1</text></line>
<line linenr="075" indent="&#160;&#160;"><var>$No.Extra&#160;=&#160;</var><var>$Random</var><text>&#160;</text><var>*</var><text>&#160;</text><var>3</var></line>
<line linenr="076" indent="&#160;"><text>else</text></line>
<line linenr="077" indent="&#160;&#160;"><var>$No.Extra&#160;=&#160;</var><var>0</var></line>
<line linenr="078" indent="&#160;"><text>end</text></line>
<line linenr="079" indent="&#160;"><var>$Extra.Type&#160;=&#160;</var><var>$Extra.Miss.Array</var><text>[</text><var>$No.Extra</var><text>]</text></line>
<line linenr="080" indent="&#160;"><text>inc&#160;</text><var>$No.Extra&#160;=&#160;</var></line>
<line linenr="081" indent="&#160;"><var>$Extra.Class&#160;=&#160;</var><var>$Extra.Miss.Array</var><text>[</text><var>$No.Extra</var><text>]</text></line>
<line linenr="082" indent="&#160;"><text>inc&#160;</text><var>$No.Extra&#160;=&#160;</var></line>
<line linenr="083" indent="&#160;"><var>$Extra.Race&#160;=&#160;</var><var>$Extra.Miss.Array</var><text>[</text><var>$No.Extra</var><text>]</text></line>
<line linenr="084" indent="&#160;"><var>$Return.Extra&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>3</var></line>
<line linenr="085" indent="&#160;"><var>$Return.Extra</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$Extra.Type</var></line>
<line linenr="086" indent="&#160;"><var>$Return.Extra</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$Extra.Class</var></line>
<line linenr="087" indent="&#160;"><var>$Return.Extra</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$Extra.Race</var></line>
<line linenr="088" indent=""><text>end</text></line>
<line linenr="089" indent=""></line>
<line linenr="090" indent=""><var>$No.Reg&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Reg.Miss.Array</var></line>
<line linenr="091" indent=""><var>if&#160;</var><var>$No.Reg</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$No.Reg</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="092" indent="&#160;"><var>if&#160;</var><var>$No.Reg</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>6</var></line>
<line linenr="093" indent="&#160;&#160;"><var>$No.Reg&#160;=&#160;</var><var>$No.Reg</var><text>&#160;</text><var>/</var><text>&#160;</text><var>3</var></line>
<line linenr="094" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$No.Reg</var><text>&#160;-&#160;1</text></line>
<line linenr="095" indent="&#160;&#160;"><var>$No.Reg&#160;=&#160;</var><var>$Random</var><text>&#160;</text><var>*</var><text>&#160;</text><var>3</var></line>
<line linenr="096" indent="&#160;"><text>else</text></line>
<line linenr="097" indent="&#160;&#160;"><var>$No.Reg&#160;=&#160;</var><var>0</var></line>
<line linenr="098" indent="&#160;"><text>end</text></line>
<line linenr="099" indent="&#160;"><var>$Mission.Type&#160;=&#160;</var><var>$Reg.Miss.Array</var><text>[</text><var>$No.Reg</var><text>]</text></line>
<line linenr="100" indent="&#160;"><text>inc&#160;</text><var>$No.Reg&#160;=&#160;</var></line>
<line linenr="101" indent="&#160;"><var>$Mission.Class&#160;=&#160;</var><var>$Reg.Miss.Array</var><text>[</text><var>$No.Reg</var><text>]</text></line>
<line linenr="102" indent="&#160;"><text>inc&#160;</text><var>$No.Reg&#160;=&#160;</var></line>
<line linenr="103" indent="&#160;"><var>$Mission.Race&#160;=&#160;</var><var>$Reg.Miss.Array</var><text>[</text><var>$No.Reg</var><text>]</text></line>
<line linenr="104" indent="&#160;"><var>$Return.Reg&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>3</var></line>
<line linenr="105" indent="&#160;"><var>$Return.Reg</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$Mission.Type</var></line>
<line linenr="106" indent="&#160;"><var>$Return.Reg</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$Mission.Class</var></line>
<line linenr="107" indent="&#160;"><var>$Return.Reg</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$Mission.Race</var></line>
<line linenr="108" indent=""><text>end</text></line>
<line linenr="109" indent=""></line>
<line linenr="110" indent=""><var>if&#160;</var><var>$Return.Reg</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$Return.Extra</var></line>
<line linenr="111" indent="&#160;"><var>$Return&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>2</var></line>
<line linenr="112" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Return.Reg</var></line>
<line linenr="113" indent="&#160;&#160;"><var>$Return</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$Return.Reg</var></line>
<line linenr="114" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Return.Extra</var></line>
<line linenr="115" indent="&#160;&#160;"><var>$Return</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$Return.Extra</var></line>
<line linenr="116" indent=""><text>end</text></line>
<line linenr="117" indent=""><text>return&#160;</text><var>$Return</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.Missions.Data" /><sval type="int" val="30" /><sval type="string" val="Returns MissionData " /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="24"><sval type="string" val="Station.Array" /><sval type="string" val="Unlocked.Items" /><sval type="string" val="Extra.Miss.Array" /><sval type="string" val="Reg.Miss.Array" /><sval type="string" val="No.Stations" /><sval type="string" val="Station" /><sval type="string" val="Race" /><sval type="string" val="Ship.List" /><sval type="string" val="Items" /><sval type="string" val="No.Unlocked" /><sval type="string" val="Random" /><sval type="string" val="Extra.Type" /><sval type="string" val="No.Ships" /><sval type="string" val="Mission.Type" /><sval type="string" val="Mission.Class" /><sval type="string" val="Unlocked.Type" /><sval type="string" val="No.Extra" /><sval type="string" val="Extra.Class" /><sval type="string" val="Extra.Race" /><sval type="string" val="Return.Extra" /><sval type="string" val="No.Reg" /><sval type="string" val="Mission.Race" /><sval type="string" val="Return.Reg" /><sval type="string" val="Return" /></sval><sval type="array" size="96"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="ddrs.unlockeditems" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598647" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="-536868345" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="6" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="al.DDRS.ShipList" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601213" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607869" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607099" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601207" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610604285" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="0" /><sval type="int" val="-3" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601463" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601725" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="12" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="44" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="34" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="24" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610598909" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610594301" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596861" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="16" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="16" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="63" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="16" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="16" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="16" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="18" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610589949" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610592509" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="20" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="20" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="80" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="20" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="20" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="20" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="21" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="22" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610588413" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="23" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610588920" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="22" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610588408" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="19" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="23" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="44" /><sval type="string" val="Station Vars" /></sval></sval><sval type="array" size="30"><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="63" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="79" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="80" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="95" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
